#include <iostream>
#include <sstream>
#include <string>
using namespace std;


int main()
{
  int a, b, c;
  cin >> a >> b >> c;
  stringstream s1, s2, s3, s4, s5, s6;
  s1 << a << b << c;
  s2 << a << c << b;
  s3 << b << a << c;
  s4 << b << c << a;
  s5 << c << a << b;
  s6 << c << b << a;
  string str1 = s1.str();
  string str2 = s2.str();
  string str3 = s3.str();
  string str4 = s4.str();
  string str5 = s5.str();
  string str6 = s6.str();
  int i1 = stoi(str1);
  int i2 = stoi(str2);
  int i3 = stoi(str3);
  int i4 = stoi(str4);
  int i5 = stoi(str5);
  int i6 = stoi(str6);
  int niz[6] = { i1, i2, i3, i4, i5, i6 };
  for( int i = 1; i < 6; i++ )
  {
    if( niz[i] > niz[0] )
    {
      int temp = niz[0];
      niz[0] = niz[i];
      niz[i] = temp;
     }
  }
  cout << niz[0] << endl;
  return 0;
}